Subject: Re: [PATCH v2 32/32] ls-files: use repository object

From: Brandon Williams <[email-masked]>
Date: Mon, 12 Jun 2017 14:24:29 -0700

On 06/10, Junio C Hamano wrote:
> Brandon Williams <[email-masked]> writes:
> 
> >> -	if (read_cache() < 0)
> >> +	if (repo_read_index(the_repository))
> >
> > oops, looks like this should have been:
> 
> Queued, with this fix-up already applied.
> 
> It had a bit of conflicts with topics in flight that may added some
> more globals, so please make sure that the conflict resolution is
> sane (i.e. do not look only at bw/repo-object and be happy; rather,
> please check "pu^{/^Merge branch 'bw/repo-object' into pu}".
> 
> Thanks.

Thanks for picking this up and merging it to pu.  After some discussion
I think it may be ideal to split this thing up so that the parts that
aren't specific to the 'repository object' can be reviewed more easily
as a 32 long patch set can be daunting to review.  I also need to think
a little bit more about the breakage this series causes in pu.

-- 
Brandon Williams